### Hierarchy

- Shader
  - BitmapFilterShader

## Index

### Constructors

- constructor

### Properties

- byteCode
- data
- glFragmentSource
- glProgram
- glVertexSource
- precisionHint

### Methods

- get_data
- get_glFragmentSource
- get_glVertexSource
- set_data
- set_glFragmentSource
- set_glVertexSource

## Constructors

### constructor

- new BitmapFilterShader(code?: ByteArray): BitmapFilterShader

- Overrides Shader.constructor

  - Defined in lib/openfl/filters/BitmapFilterShader.d.ts:8

  #### Parameters

  - ##### Optional code: ByteArray

  #### Returns BitmapFilterShader

## Properties

### byteCode

byteCode: ByteArray

Inherited from Shader.byteCode

- Defined in lib/openfl/display/Shader.d.ts:12

### data

data: ShaderData

Inherited from Shader.data

- Defined in lib/openfl/display/Shader.d.ts:14

### glFragmentSource

glFragmentSource: string

Inherited from Shader.glFragmentSource

- Defined in lib/openfl/display/Shader.d.ts:19

### glProgram

glProgram: any

Inherited from Shader.glProgram

- Defined in lib/openfl/display/Shader.d.ts:24

### glVertexSource

glVertexSource: string

Inherited from Shader.glVertexSource

- Defined in lib/openfl/display/Shader.d.ts:26

### precisionHint

precisionHint: ShaderPrecision

Inherited from Shader.precisionHint

- Defined in lib/openfl/display/Shader.d.ts:31

## Methods

### Protected get_data

- get_data(): ShaderData

- Inherited from Shader.get_data

  - Defined in lib/openfl/display/Shader.d.ts:16

  #### Returns ShaderData

### Protected get_glFragmentSource

- get_glFragmentSource(): string

- Inherited from Shader.get_glFragmentSource

  - Defined in lib/openfl/display/Shader.d.ts:21

  #### Returns string

### Protected get_glVertexSource

- get_glVertexSource(): string

- Inherited from Shader.get_glVertexSource

  - Defined in lib/openfl/display/Shader.d.ts:28

  #### Returns string

### Protected set_data

- set_data(value: ShaderData): ShaderData

- Inherited from Shader.set_data

  - Defined in lib/openfl/display/Shader.d.ts:17

  #### Parameters

  - ##### value: ShaderData

  #### Returns ShaderData

### Protected set_glFragmentSource

- set_glFragmentSource(value: string): string

- Inherited from Shader.set_glFragmentSource

  - Defined in lib/openfl/display/Shader.d.ts:22

  #### Parameters

  - ##### value: string

  #### Returns string

### Protected set_glVertexSource

- set_glVertexSource(value: string): string

- Inherited from Shader.set_glVertexSource

  - Defined in lib/openfl/display/Shader.d.ts:29

  #### Parameters

  - ##### value: string

  #### Returns string

Generated using TypeDoc